//
//  SubnetRect.h
//  SubnetMapper
//
//  Created by Thomas Thiel on 26.06.08.
//  Copyright 2008 Thomas Thiel. All rights reserved.
//
// THIS CODE REPRESENTS FREE SOFTWARE AND IS RELEASED 
// UNDER THE GPL LICENSE VERSIN 2. PLEASE RESPECT
// THE TERMS OF THIS LICENSE, WHICH CAN BE REVIEWED AT:
// http://www.gnu.org/licenses/gpl-2.0.html

#import <Cocoa/Cocoa.h>


@interface SubnetRect : NSObject {

	NSNumber *_x,*_y,*_width,*_height;
	Subnet *_subnet;
	BOOL _selected;
	
}

- (id) init;
- (id) initX:(NSNumber*)x Y:(NSNumber*)y width:(NSNumber*)width height:(NSNumber*)height subnet:(Subnet*)subnet;
+ (SubnetRect*)SubnetRect;
+ (SubnetRect*)SubnetRectX:(NSNumber*)x Y:(NSNumber*)y width:(NSNumber*)width height:(NSNumber*)height subnet:(Subnet*)subnet;

- (Subnet*) getSubnet;
- (NSNumber*) getX;
- (NSNumber*) getY;
- (NSNumber*) getWidth;
- (NSNumber*) getHeight;
- (BOOL) isSelected;

- (void) setSelected:(BOOL)state;
- (void) setSubnet:(Subnet*)subnet;
- (void) setX:(NSNumber*)x;
- (void) setY:(NSNumber*)y;
- (void) setWidth:(NSNumber*)width;
- (void) setHeight:(NSNumber*)height;

- (void) dump2Log;

@end
